<?php
$secret = 'capiIs-kleinerJunge';
$token = $_SERVER['HTTP_X_GITLAB_TOKEN'] ?? '';

if ($token !== $secret) {
    http_response_code(403);
    die('Forbidden');
}

shell_exec('git pull 2>&1');
echo 'Deployed!';